/*
 Author    : Loe Feijs
 Date      : 20130302
 
 This example shows how to control a LED (LED via 470 Ohm 
 between pin 9 and GND). The light goes on when the button 
 switch is pushed. Switch between GND and pin 2. The light 
 source goes off after 4 seconds (programmed as a finite 
 state machine).
 */

//connect LED, Button:
#define ledPin 9 
#define buttonPin 2

//FSM states:
#define OFF 0
#define ON  1

// initialisation
int state = OFF;
int timer = 0;

void setup()  { 
  pinMode(ledPin, OUTPUT); 
  pinMode(buttonPin, INPUT_PULLUP);
} 

void loop()  { 
  LEDstep();
  delay(10); // one step every 10 ms
}

/*
Finite state machine implementation
 */
void LEDstep(){

  switch (state){
  case OFF:
    if (digitalRead(buttonPin) == LOW){
      // change state
      state = ON;
      // state transition actions
      timer = 400; // 10 millisecond steps 
      analogWrite(ledPin,255); // max brightness
    }  
    break;
  case ON: 
    if (timer <= 0){
      // change state
      state = OFF;
      // state transition actions
      analogWrite(ledPin,0);
    } 
    else timer--;
    break;
  }
}






